Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.http11
Class Constants

    java.lang.Object
      org.apache.coyote.http11.Constants

public final class Constants
extends java.lang.Object

Constants.

Author:
  Remy Maucherat

Field Summary
`static byte` | `a` 'a'.
`static byte` | `A` 'A'.
`static byte[]` | `ACK_BYTES` Ack string when pipelining HTTP requests.
`static int` | `BUFFERED_FILTER` Buffered filter (input)
`static int` | `CHUNKED_FILTER` Chunked filters (input and output).
`static byte[]` | `CLOSE_BYTES` Close bytes.
`static byte` | `COLON` COLON.
`static byte[]` | `COLON_BYTES` Colon bytes.
`static byte` | `CR` CR.
`static java.lang.String` | `CRLF` CRLF.
`static byte[]` | `CRLF_BYTES` CRLF bytes.
`static int` | `DEFAULT_CONNECTION_LINGER`
`static int` | `DEFAULT_CONNECTION_TIMEOUT`
`static int` | `DEFAULT_CONNECTION_UPLOAD_TIMEOUT`
`static int` | `DEFAULT_HTTP_HEADER_BUFFER_SIZE` Default HTTP header buffer size.
`static int` | `DEFAULT_SERVER_SOCKET_TIMEOUT`
`static boolean` | `DEFAULT_TCP_NO_DELAY`
`static java.lang.String` | `GET` GET.
`static int` | `GZIP_FILTER` GZIP filter (output).
`static java.lang.String` | `HEAD` HEAD.
`static byte` | `HT` HT.
`static java.lang.String` | `HTTP_10` HTTP/1.0.
`static java.lang.String` | `HTTP_11` HTTP/1.1.
`static int` | `IDENTITY_FILTER` Identity filters (input and output).
`static byte[]` | `KEEPALIVE_BYTES` Keep-alive bytes.
`static byte` | `LC_OFFSET` Lower case offset.
`static byte` | `LF` LF.
`static java.lang.String` | `Package` Package name.
`static java.lang.String` | `POST` POST.
`static byte` | `QUESTION` '?'.
`static java.lang.String` | `SERVER` Server string.
`static byte` | `SP` SP.
`static int` | `VOID_FILTER` Void filters (input and output).
`static byte` | `Z` 'Z'.

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Package

    public static final java.lang.String Package

  Package name.

  See Also:
    Constant Field Values

### DEFAULT_CONNECTION_LINGER

    public static final int DEFAULT_CONNECTION_LINGER

See Also:
  Constant Field Values

### DEFAULT_CONNECTION_TIMEOUT

    public static final int DEFAULT_CONNECTION_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_CONNECTION_UPLOAD_TIMEOUT

    public static final int DEFAULT_CONNECTION_UPLOAD_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_SERVER_SOCKET_TIMEOUT

    public static final int DEFAULT_SERVER_SOCKET_TIMEOUT

See Also:
  Constant Field Values

### DEFAULT_TCP_NO_DELAY

    public static final boolean DEFAULT_TCP_NO_DELAY

See Also:
  Constant Field Values

### SERVER

    public static final java.lang.String SERVER

  Server string.

  See Also:
    Constant Field Values

### CR

    public static final byte CR

  CR.

  See Also:
    Constant Field Values

### LF

    public static final byte LF

  LF.

  See Also:
    Constant Field Values

### SP

    public static final byte SP

  SP.

  See Also:
    Constant Field Values

### HT

    public static final byte HT

  HT.

  See Also:
    Constant Field Values

### COLON

    public static final byte COLON

  COLON.

  See Also:
    Constant Field Values

### A

    public static final byte A

  'A'.

  See Also:
    Constant Field Values

### a

    public static final byte a

  'a'.

  See Also:
    Constant Field Values

### Z

    public static final byte Z

  'Z'.

  See Also:
    Constant Field Values

### QUESTION

    public static final byte QUESTION

  '?'.

  See Also:
    Constant Field Values

### LC_OFFSET

    public static final byte LC_OFFSET

  Lower case offset.

  See Also:
    Constant Field Values

### DEFAULT_HTTP_HEADER_BUFFER_SIZE

    public static final int DEFAULT_HTTP_HEADER_BUFFER_SIZE

  Default HTTP header buffer size.

  See Also:
    Constant Field Values

### CRLF

    public static final java.lang.String CRLF

  CRLF.

  See Also:
    Constant Field Values

### CRLF_BYTES

    public static final byte[] CRLF_BYTES

  CRLF bytes.

### COLON_BYTES

    public static final byte[] COLON_BYTES

  Colon bytes.

### CLOSE_BYTES

    public static final byte[] CLOSE_BYTES

  Close bytes.

### KEEPALIVE_BYTES

    public static final byte[] KEEPALIVE_BYTES

  Keep-alive bytes.

### IDENTITY_FILTER

    public static final int IDENTITY_FILTER

  Identity filters (input and output).

  See Also:
    Constant Field Values

### CHUNKED_FILTER

    public static final int CHUNKED_FILTER

  Chunked filters (input and output).

  See Also:
    Constant Field Values

### VOID_FILTER

    public static final int VOID_FILTER

  Void filters (input and output).

  See Also:
    Constant Field Values

### GZIP_FILTER

    public static final int GZIP_FILTER

  GZIP filter (output).

  See Also:
    Constant Field Values

### BUFFERED_FILTER

    public static final int BUFFERED_FILTER

  Buffered filter (input)

  See Also:
    Constant Field Values

### HTTP_10

    public static final java.lang.String HTTP_10

  HTTP/1.0.

  See Also:
    Constant Field Values

### HTTP_11

    public static final java.lang.String HTTP_11

  HTTP/1.1.

  See Also:
    Constant Field Values

### GET

    public static final java.lang.String GET

  GET.

  See Also:
    Constant Field Values

### HEAD

    public static final java.lang.String HEAD

  HEAD.

  See Also:
    Constant Field Values

### POST

    public static final java.lang.String POST

  POST.

  See Also:
    Constant Field Values

### ACK_BYTES

    public static final byte[] ACK_BYTES

  Ack string when pipelining HTTP requests.

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.